FLEX(1)

NAVN
flex - det hurtigste leksikale analyseprogram

SYNOPSIS
flex [FLAG] [FIL]...

BESKRIVELSE
Opretter programmer, der udfører mønstergenkendelse på tekst.

  Tabel-kompression:

-Ca, --align
    brug bedre hukommelses-tilpasning i stedet for mindre tabeller

-Ce, --ecs
    konstruer ækvivalensklasser

-Cf komprimér ikke tabeller; brug -f repræsentation

-CF komprimér ikke tabeller; brug -F repræsentation

-Cm, --meta-ecs
    konstruér meta-ækvivalensklasser

-Cr, --read
    brug read() i stedet for stdio til skanner-inddata

-f, --full
    generér hurtig, stor skanner. Det samme som -Cfr

-F, --fast
    brug alternativ tabelrepræsentation. Det samme som -CFr

-Cem
    standard kompression (det samme som --ecs --meta-ecs)

  Fejlsøgning:

-d, --debug
    aktivér fejlsøgnings-tilstand i skanneren

-b, --backup
    skriv sikkerhedskopi-information til lex.backup

-p, --perf-report
    skriv ydelses-rapport på stdfejl

-s, --nodefault
    undertryk normal regel om at udskrive tekst der ikke passede

-T, --trace
    flex bør køre i sporings-tilstand

-w, --nowarn
    generér ikke advarsler

-v, --verbose
    skriv sammendrag af skanner-statistik til stdud

--hex
    brug hexadecimale tal i stedet for oktal i fejlsøgningsresultater

FILER

-o, --outfile=FIL
    angiv uddata-filnavn

-S, --skel=FIL
    angiv skelet-fil

-t, --stdout
    skriv skanner på stdud i stedet for på lex.yy.c

--yyclass=NAVN
    navn på C++-klasse

--header-file=FIL
    opret en C header-fil sammen med skanneren

--tables-file[=FIL] skriv tabeller til FIL

--backup-file=FIL
    skriv sikkerhedskopi-information til FIL

  Skannerens opførsel:

-7, --7bit
    generér 7-bit-skanner

-8, --8bit
    generér 8-bit-skanner

-B, --batch
    generér batch-skanner (modsat -I)

-i, --case-insensitive
    ignorér forskel på små og store bogstaver i mønstre

-l, --lex-compat
    maksimal kompatibilitet med oprindelig lex

-X, --posix-compat
    maksimal kompatibilitet med POSIX lex

-I, --interactive
    generér interaktiv skanner (modsat -B)

--yylineno
    notér linjenummer i yylineno

  Genereret kode:

-+,  --c++
    generér C++ skanner-klasse

-Dmacro[=defn]
    #define macro defn (forvalgt defn er '1')

-L,  --noline
    undertryk #line-direktiver i skanner

-P,  --prefix=STRENG
    brug STRENG som begyndelse i stedet for 'yy'

-R,  --reentrant
    generér en reentrant C-skanner

--bison-bridge
    skanner for ren Bison-fortolker.

--bison-locations
    med yylloc understøttelse.

--stdinit
    initialisér yyin/yyout til stdind/stdud

--nounistd
    udelad <unistd.h>

--noFUNKTION
    generér ikke en bestemt FUNKTION

  Forskelligt:

-c  POSIX-flag der ikke udføres

-n  POSIX-flag der ikke udføres

-?

-h, --help
    udskriv denne hjælpebesked

-V, --version
    udskriv flex version

SE OGSÅ
Hele dokumentationen for flex bliver vedligeholdt som Texinfo manual. Hvis info and flex programmerne er korrekt installeret på dit system vil komandoen

    info flex

give dig adgang til den fulde manual.

OVERSÆTTELSE
Oversættere af denne manual til dansk Joe Hansen <joedalton2@yahoo.dk>

Denne oversættelse er gratis dokumentation; læs GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for ophavsretbetingelser. Der er INGEN ANSVAR.

Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en besked til debian-l10n-danish@lists.debian.org.